import Ogma from '@linkurious/ogma';
import xlsx from 'xlsx';

Ogma.libraries.xlsx = xlsx;

const ogma = new Ogma({
  container: 'graph-container',
  renderer: 'canvas'
});

ogma.generate
  .random()
  .then(graph => ogma.setGraph(graph))
  .then(() => ogma.view.locateGraph())
  .then(() => ogma.export.xlsx({ filename: 'my-graph.xlsx' }));
